module RedmineGeomaps
  # Voir : http://www.redmine.org/projects/redmine/wiki/Hooks
  class Hooks < Redmine::Hook::ViewListener

    # En haut de chaque page, ajouter le js et le css
    def view_layouts_base_html_head(context)
      html_return = ''
      html_return << javascript_include_tag('plugin', :plugin => 'geomaps')
      html_return << stylesheet_link_tag("plugin", :plugin => 'geomaps')
      html_return
    end

    # Liste des issues : fin de la page
    def view_issues_index_bottom(context={})
      # charger le fichier app\views\geometry_status\issues\_list_issues.html.erb
      context[:controller].send(:render_to_string, partial: 'geomaps/issues/list_issues')
    end
  end
end